tt_status_message(library call)

NAME
tt_status_message — provide a message for a problem status code

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_status_message(
Tt_status ttrc);

DESCRIPTION

The tt_status_message function returns a pointer to a message that describes the problem indicated by this status code.

The ttrc argument is the status code received during an operation.

RETURN VALUE

Upon successful completion, the tt_status_message function returns a pointer to a character string that describes the status code, which is one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_xxx
    Any other TT_ status code is explained in the returned string.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_free(3).